package subscribeplansvc

import (
	subscribeplanrepository "legalgo-BE-go/internal/accessor/subscribeplan"
	subscribeplandomain "legalgo-BE-go/internal/domain/subscribe_plan"
)

type impl struct {
	subsAccs subscribeplanrepository.SubsPlanIntf
}

type SubscribePlan interface {
	CreatePlan(subscribeplandomain.SubscribePlanReq) error
	GetAllPlan() ([]subscribeplandomain.SubscribePlan, error)
}

func New(
	subsAccs subscribeplanrepository.SubsPlanIntf,
) SubscribePlan {
	return &impl{subsAccs}
}
